View Issue Details

IDProjectCategoryView StatusLast Update
0012150mantisbtdb oraclepublic2015-03-16 19:27
ReporterdfletcherAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUnbuntu AMD 64bitOS Version10.0.4 Server
Product Version1.2.1 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012150: Mantis 1.2.1 Install Error using Oracle db
Description

Attempting fresh install on new Oracle database and received below error upon Admin/install.php

APPLICATION ERROR 0000401
Database query failed. Error received from database was #1008: ORA-01008: not all variables bound for the query: INSERT INTO mantis_config_table
( value, type, access_reqd, config_id, project_id, user_id )
VALUES
(:3, :4, :5, :6, :7,:8 ).

Additional Information

PHP 5.3.2-1ubuntu4.2
O/S Unbuntu 10.0.4 AMD 64bit
Oracle Instant Client
Mantis Version: 1.2.1

Oracle Database 10g Enterprise Edition Release 10.2.0.3.0 - 64bit Production With the Partitioning, OLAP and Data Mining options

TagsNo tags attached.

Relationships

related to 0010996 closeddregad Cant use Mantis with oracle9 - var binding fails 
child of 0013713 closeddregad Upgrade ADOdb library to latest version 

Activities

watergad

watergad

2010-07-10 15:41

reporter   ~0026045

I'm sure its related to 0010996

grangeway

grangeway

2014-05-16 15:01

reporter   ~0040492

MantisBT currently supports Mysql and has support for other database engines.

The support for other databases is known to be problematic.

Having implemented the current database layer into Mantis 10 years ago, I'm currently working on replacing the current layer.

If you are interested in using Mantis with non-mysql databases - for example, Oracle, PGSQL or MSSQL, and would be willing to help out testing the new database layer, please drop me an email at paul@mantisforge.org

In the meantime, I'd advise running Mantis with Mysql Only to avoid issues.

Thanks
Paul

dregad

dregad

2014-06-05 05:53

developer   ~0040748

This should actually be fixed with https://github.com/mantisbt/mantisbt/pull/181

grangeway

grangeway

2014-06-08 05:35

reporter   ~0040755

Issue cloned back into Track DBAL replacement as requested.

My advice to end users is still to wait on upgrading to 1.3 for the new db layer which Victor has said we can do a release of within a month of 1.3

Paul

dregad

dregad

2014-07-10 03:44

developer   ~0040911

With ADOdb 5.19 now merged in master branch, this issue should be resolved.

Related Changesets

MantisBT: master a2b23b3b

2014-07-09 12:18:47

dregad

Details Diff
Update ADOdb to 5.19

- update the submodule
- back to ADODB_FETCH_ASSOC for oci8
- fix db_query_bound() $p_arr_parms null default issue

Fixes pull request https://github.com/mantisbt/mantisbt/pull/181
mod - core/constant_inc.php Diff File
mod - core/database_api.php Diff File
mod - core/project_hierarchy_api.php Diff File
mod - core/summary_api.php Diff File
mod - core/user_api.php Diff File
mod - library/README.libs Diff File
mod - library/adodb Diff File
mod - manage_user_page.php Diff File

Issue History

Date Modified Username Field Change
2010-07-09 10:03 dfletcher New Issue
2010-07-10 15:41 watergad Note Added: 0026045
2010-08-04 16:24 atrol Relationship added related to 0010996
2014-05-16 15:01 grangeway Note Added: 0040492
2014-05-16 16:35 grangeway Assigned To => grangeway
2014-05-16 16:35 grangeway Status new => assigned
2014-05-21 18:52 dregad Target Version => 1.3.0-beta.1
2014-05-23 15:05 grangeway Project mantisbt => @24@
2014-06-05 05:53 dregad Note Added: 0040748
2014-06-05 05:53 dregad Project @24@ => mantisbt
2014-06-08 05:33 grangeway Issue cloned: 0017421
2014-06-08 05:33 grangeway Issue cloned: 0017422
2014-06-08 05:35 grangeway Note Added: 0040755
2014-07-10 03:44 dregad Changeset attached => MantisBT master a2b23b3b
2014-07-10 03:44 dregad Note Added: 0040911
2014-07-10 03:44 dregad Status assigned => resolved
2014-07-10 03:44 dregad Fixed in Version => 1.3.0-beta.1
2014-07-10 03:44 dregad Resolution open => fixed
2014-07-10 03:44 dregad Assigned To grangeway => dregad
2014-12-08 00:34 vboctor Status resolved => closed
2015-03-16 19:27 dregad Relationship added child of 0013713